function __base-aliases
	set -l _weather_service wttr.in

	alias pacman-mirrors="sudo reflector --protocol https --country US --age 24 --verbose --sort rate -l 100 --save /etc/pacman.d/mirrorlist"
	alias fastfetch="fastfetch | lolcat"
	alias weather="curl $_weather_service"
	alias grep="grep --color=auto"
	alias ccd="cd && c"
	alias ls="ls -l --color"
	alias la="ls -a"
	alias c="clear"
end

function __configs
	set -l _editor xdg-open

	alias fish-config="$_editor ~/.config/fish/config.fish"
	alias wez-config="$_editor ~/.config/wezterm/wezterm.lua"
end

function __media
	function ytmp3
		yt-dlp --embed-thumbnail --extract-audio --audio-format mp3 --add-metadata -o "%(uploader)s - %(title)s.%(ext)s" $argv
	end
	function soundcloudmp3
		yt-dlp --embed-thumbnail --audio-format mp3 --add-metadata -o "%(uploader)s - %(title)s.%(ext)s" $argv
	end
end

function __sd
	#fix
	function stable-diffusion-ui-server
		/opt/easy-diffusion/start.sh $argv
	end
end

function __ssh
	alias ssh-pubkey="cat ~/.ssh/id_ed25519.pub"
	alias ssh-proxmox="ssh root@192.168.1.221"
end

if status is-interactive
	__base-aliases
	__configs
	__media
	__sd
	__ssh

	# https://git.rhpidfyre.io/Linux/lazy-pacman-remove
	function lazy-pacman-remove
		sudo pacman -R $(pacman -Qtq | grep -o "$argv.*")
	end
end
